;;; early-init.el --- Summary
;;
;;; Commentary:
;;
;; Emacs27 introduces early-init.el, which is run before init.el,
;; before package and UI initialization happens.
;;
;;; Code:
;;
;; Disable package.el in favor of straight.el
(setq package-enable-at-startup nil)

;; Disable cl-functions warnings
(setq byte-compile-warnings '(cl-functions))


(provide 'early-init)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; early-init.el ends here
